package com.yeejoin.amos.boot.module.jxiop.biz.entity;

import lombok.Getter;

/**
 *
 * @author LiuLin
 * @date 2023年10月11日 09:31
 */
@Getter
public final class EsEntity<T> {

    private String id;
    private T data;

    public EsEntity() {
    }

    public EsEntity(String id, T data) {
        this.data = data;
        this.id = id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setData(T data) {
        this.data = data;
    }
}
